Description: fix spelling mistakes
Origin: vendor
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2016-07-02

--- a/lib/HTML/FormFu/Constraint.pm
+++ b/lib/HTML/FormFu/Constraint.pm
@@ -216,8 +216,8 @@
 sub _process_when {
     my ( $self, $params ) = @_;
 
-    # returns 1 if when condition is fullfilled or not defined
-    # returns 0 if when condition is defined and not fullfilled
+    # returns 1 if when condition is fulfilled or not defined
+    # returns 0 if when condition is defined and not fulfilled
     # If it's a callback, return callback's return value (so 'when'
     # condition is met if callback returns a true value)
 
@@ -481,7 +481,7 @@
 
 =head2 when
 
-Defines a condition for the constraint. Only when the condition is fullfilled
+Defines a condition for the constraint. Only when the condition is fulfilled
 the constraint will be applied.
 
 This method expects a hashref.
@@ -517,7 +517,7 @@
 
 =item values
 
-Array of multiple values, one must match to fullfill the condition
+Array of multiple values, one must match to fulfill the condition
 
 =item not
 
--- a/lib/HTML/FormFu/Element/Repeatable.pm
+++ b/lib/HTML/FormFu/Element/Repeatable.pm
@@ -540,7 +540,7 @@
 
 =head2 auto_id
 
-As well as the usual subtitutions, any instances of C<%r> will be
+As well as the usual substitutions, any instances of C<%r> will be
 replaced with the value of L</repeatable_count>.
 
 See L<HTML::FormFu::Element::Block/auto_id> for further details.
--- a/lib/HTML/FormFu/Filter/Split.pm
+++ b/lib/HTML/FormFu/Filter/Split.pm
@@ -56,7 +56,7 @@
 
 A regex object or string to be passed as the C<PATTERN> argument to C<split>.
 
-Default Value: '' (emtpy string)
+Default Value: '' (empty string)
 
 =head2 limit
 
--- a/lib/HTML/FormFu/Manual/Cookbook.pod
+++ b/lib/HTML/FormFu/Manual/Cookbook.pod
@@ -256,7 +256,7 @@
 contraint, you might want to consider setting C<default_empty_value> for
 that checkbox. Take a look at L<HTML::FormFu::Role::Element::Field> to learn more.
 
-Please read L<HTML::FormFu::Constraint> for futher information.
+Please read L<HTML::FormFu::Constraint> for further information.
 
 =head2 Constrain one form field based on the return value of a callback
 
@@ -280,7 +280,7 @@
     }
 
 
-Please read L<HTML::FormFu::Constraint> for futher information.
+Please read L<HTML::FormFu::Constraint> for further information.
 
 =head1 HTML MARKUP
 
